# Password Notification Module

## Overview

The Password Notification Module sends password notification emails to users 
when their password is updated and logs the password update history.

## Features

- Sends an email to the respective user when their password is changed.
- Maintains log history both user-based and globally (Administrators can
 see the entire history).
- Allows the removal of log history using batch operations 
(Administrators only).
- Supports multilingual email configuration.

## Installation

1. Copy the entire `password_notification` directory to your contributed 
modules directory.
2. Log in as an administrator and enable the module at `admin/modules`.

## Configuration

Navigate to the Password Notification Configuration page 
(Configuration >> People >> Password Notification).  
Path: `/admin/config/people/password-notification`

- Enable or disable the Password Notification Email.
- Enable or disable Password Notification Logs entry.
- Configure the Password Notification Email content, including subject,
 message, Bcc, and Cc fields.
- Set the limit for deleting records using batch operations 
on the Delete History page.

### Multilingual Support

- Configure the email content for different languages to ensure users receive 
notifications in their preferred language.
- Set the language-specific subject, message, Bcc, and Cc fields.

## Password Changed History Page URLs

1. All History Page (People >> Password Changed History)
   URL: `/admin/people/password-changed/history`  
   (Administrators only can see the entire history).

2. User-Based History Page  
   URL: `/user/[uid]/password-changed/history`  
   (Authenticated users can only see their own history).

3. Delete History Page (People >> Password Changed History >> Delete History) 
   URL: `/admin/people/password-changed/history/delete`  
   (Administrators only handle this operation)
